summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Zbigniew Baniewski2012-12-18 12:13:48 +0100
committer Matteo Bernardini2012-12-18 12:14:07 +0100
commitc9cf2854aae25b4cfae527ea1c7c5d52e329817f (patch)
tree518407be76cde0023c70da0f3113d1f41aaa88e0 /games
parent88fdbde17d90c8fbc5e16f31f9088f15056fe8fa (diff)
downloadslackbuilds-c9cf2854aae25b4cfae527ea1c7c5d52e329817f.tar.gz
games/foobillard: Added (OpenGL billard).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/foobillard/README2
-rw-r--r--games/foobillard/doinst.sh9
-rw-r--r--games/foobillard/foobillard.SlackBuild80
-rw-r--r--games/foobillard/foobillard.desktop10
-rw-r--r--games/foobillard/foobillard.info10
-rw-r--r--games/foobillard/slack-desc19
6 files changed, 130 insertions, 0 deletions
diff --git a/games/foobillard/README b/games/foobillard/README
new file mode 100644
index 0000000000..ef3be1d5df
--- /dev/null
+++ b/games/foobillard/README
@@ -0,0 +1,2 @@
+FooBillard is a free (libre; licensed under GPL2) OpenGL billard game
+for Linux by Florian Berger.
diff --git a/games/foobillard/doinst.sh b/games/foobillard/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/foobillard/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/foobillard/foobillard.SlackBuild b/games/foobillard/foobillard.SlackBuild
new file mode 100644
index 0000000000..d301f568e0
--- /dev/null
+++ b/games/foobillard/foobillard.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for foobillard
+
+# Written by Zbigniew Baniewski, zbigniew.baniewski@gmail.com
+
+PRGNAM=foobillard
+VERSION=3.0a
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM$VERSION
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/foobillard.desktop > $PKG/usr/share/applications/foobillard.desktop
+install -m 0644 -D $PKG/usr/share/$PRGNAM/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL README README.FONTS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/foobillard/foobillard.desktop b/games/foobillard/foobillard.desktop
new file mode 100644
index 0000000000..52169f22ea
--- /dev/null
+++ b/games/foobillard/foobillard.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=FooBillard
+GenericName=OpenGL billard game
+Comment=Free OpenGL billard game for Linux
+Exec=foobillard
+Icon=foobillard
+Terminal=false
+Type=Application
+Categories=Game;
diff --git a/games/foobillard/foobillard.info b/games/foobillard/foobillard.info
new file mode 100644
index 0000000000..84384d9caa
--- /dev/null
+++ b/games/foobillard/foobillard.info
@@ -0,0 +1,10 @@
+PRGNAM="foobillard"
+VERSION="3.0a"
+HOMEPAGE="http://foobillard.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/foobillard/foobillard-3.0a.tar.gz"
+MD5SUM="c2d92edeaaf8bfb18aa26f1c79931b7d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zbigniew.baniewski@gmail.com"
diff --git a/games/foobillard/slack-desc b/games/foobillard/slack-desc
new file mode 100644
index 0000000000..07369a896f
--- /dev/null
+++ b/games/foobillard/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+foobillard: FooBillard
+foobillard:
+foobillard: OpenGL billard game
+foobillard:
+foobillard: http://foobillard.sourceforge.net/
+foobillard:
+foobillard:
+foobillard:
+foobillard:
+foobillard:
+foobillard: